
From: Jeff Dike <jdike@addtoit.com>

um_mount did nothing but turn around and call sys_mount with the same
arguments.  This makes it useless code, and it has been duly removed.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/sys_call_table.c |    3 +--
 25-akpm/arch/um/kernel/syscall_kern.c   |    6 ------
 2 files changed, 1 insertion(+), 8 deletions(-)

diff -puN arch/um/kernel/syscall_kern.c~uml-remove-useless-sys_mount-wrapper arch/um/kernel/syscall_kern.c
--- 25/arch/um/kernel/syscall_kern.c~uml-remove-useless-sys_mount-wrapper	2005-03-07 22:16:21.000000000 -0800
+++ 25-akpm/arch/um/kernel/syscall_kern.c	2005-03-07 22:16:21.000000000 -0800
@@ -27,12 +27,6 @@
 /*  Unlocked, I don't care if this is a bit off */
 int nsyscalls = 0;
 
-long um_mount(char __user * dev_name, char __user * dir_name,
-	      char __user * type, unsigned long new_flags, void __user * data)
-{
-	return(sys_mount(dev_name, dir_name, type, new_flags, data));
-}
-
 long sys_fork(void)
 {
 	long ret;
diff -puN arch/um/kernel/sys_call_table.c~uml-remove-useless-sys_mount-wrapper arch/um/kernel/sys_call_table.c
--- 25/arch/um/kernel/sys_call_table.c~uml-remove-useless-sys_mount-wrapper	2005-03-07 22:16:21.000000000 -0800
+++ 25-akpm/arch/um/kernel/sys_call_table.c	2005-03-07 22:16:21.000000000 -0800
@@ -31,7 +31,6 @@
 extern syscall_handler_t sys_fork;
 extern syscall_handler_t sys_execve;
 extern syscall_handler_t um_time;
-extern syscall_handler_t um_mount;
 extern syscall_handler_t um_stime;
 extern syscall_handler_t sys_pipe;
 extern syscall_handler_t sys_olduname;
@@ -77,7 +76,7 @@ syscall_handler_t *sys_call_table[] = {
 	[ __NR_lchown ] = (syscall_handler_t *) sys_lchown16,
 	[ __NR_lseek ] = (syscall_handler_t *) sys_lseek,
 	[ __NR_getpid ] = (syscall_handler_t *) sys_getpid,
-	[ __NR_mount ] = um_mount,
+	[ __NR_mount ] = (syscall_handler_t *) sys_mount,
 	[ __NR_setuid ] = (syscall_handler_t *) sys_setuid16,
 	[ __NR_getuid ] = (syscall_handler_t *) sys_getuid16,
  	[ __NR_ptrace ] = (syscall_handler_t *) sys_ptrace,
_
